package game

import (
	"server/game/mod/chess"
	"server/game/mod/decorate"
	limitedTimeEvent "server/game/mod/limited_time_event"
)

func (p *Player) GetChessMod() *chess.ChessBorad {
	return p.PlayMod.getChessMod()
}

func (p *Player) GetDecorateMod() *decorate.Decorate {
	return p.PlayMod.getDecorateMod()
}

func (p *Player) GetLimitEventMod() *limitedTimeEvent.LimitedTimeEventMod {
	return p.PlayMod.getLimitedTimeEventMod()
}
